Date: exercise_03_15.o Date.o
		g++ exercise_03_15.o Date.o -o Date

exercise_03_15.ii: exercise_03_15.cpp Date.hpp       
		g++ -E exercise_03_15.cpp -o exercise_03_15.ii

Date.ii: Date.cpp Date.hpp
	       	g++ -E Date.cpp -o Date.ii
	      
exercise_03_15.s: exercise_03_15.ii		
	        g++ -S exercise_03_15.ii -o exercise_03_15.s

Date.s: Date.ii		
	        g++ -S Date.ii -o Date.s

exercise_03_15.o: exercise_03_15.s
		g++ -c exercise_03_15.s -o exercise_03_15.o

Date.o: Date.s
		g++ -c Date.s -o Date.o

clean:
		rm *.ii *.s *.o *.out Date

test1: Date
		./Date < test1.in > test1.out || echo "Test 1 is executing..."
		diff test1.out test1.expected && echo PASSED || echo FAILED

.PRECIOUS: exercise_03_15.ii exercise_03_15.s
.SECONDARY: exercise_03_15.ii exercise_03_15.s

